#ifndef Slide_h
#define Slide_h

class Slide;
class PrefetchTexture;

class SlideFactory
{
public:
	SlideFactory();
	Slide* createSlide(PrefetchTexture* lt, bool forceCenter = false);

	bool lastZoom;
	double lastX;
	double lastY;
};

// Represent current location of a slide
class Slide
{	
public:
	Slide(PrefetchTexture* lt);
	~Slide();
	void randKenBurns(bool lastZoom = true, double lastX = 0, double lastY = 0, bool forceCenter = false);

	void draw(double time);
	double getTimeLeft() { return timeLeft; }

	double velX, velY, velZ;
	double x, y, z;
	double timeLeft;

private:
	PrefetchTexture* texture;
};

#endif
